import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AllPatientsComponent } from './all-patients/all-patients.component';
import { PatientRecordComponent } from './patient-record/patient-record.component';
import { authGuard, permissionGuard } from '@abp/ng.core';

const routes: Routes = [
  {
    path: '',
    children: [
      {
        path: 'patient-record/:id',
        component: PatientRecordComponent,
        // canActivate: [authGuard, permissionGuard],
      },
      { path: 'all-patients', component: AllPatientsComponent },
      // { path: 'create-new/:id', component: FaqCreateComponent },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PatientsRoutingModule {}
