﻿using HospitalManagementSystem.GlobalEnum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalManagementSystem.Patients.Dto
{
    public class CreateUpdatePatientDto
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public Gender Gender { get; set; }
        public string Mobile { get; set; }
        public string Email { get; set; }
        public int Age { get; set; }
        public string Treatment { get; set; }
        public string DoctorAssigned { get; set; }
        public string Address { get; set; }
        public string BloodGroup { get; set; }        
        public DateTime AdmissionDate { get; set; }
        public DateTime? DischargeDate { get; set; }
        public Status Status { get; set; }
    }
}
