﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalManagementSystem.Dto
{
    using System.Linq.Dynamic.Core;

    public static class QueryableExtensions
    {
        public static IEnumerable<T> OrderByDynamic<T>(this IEnumerable<T> source, string orderBy)
        {
            return source.AsQueryable().OrderBy(orderBy);
        }
    }

}
