﻿using HospitalManagementSystem.GlobalEnum;
using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalManagementSystem.Patients.Dto
{
    public class CreateUpdatePatientRecordDto
    {
        public Guid Id { get; set; }

        //public string FullName { get; set; }

        //public string Mobile { get; set; }

        //public Gender Gender { get; set; }

        public Guid PatientId { get; set; }

        public DateTime DateOfAdmission { get; set; }

        public string? LabReportUrl { get; set; }

        public string? MedicationUrl { get; set; }

        public string? MedicationHistoryUrl { get; set; }

        public DateTime? NextFollowUp { get; set; }

        public string Diagnosis { get; set; }

        public string TreatmentPlan { get; set; }

        public string DoctorNotes { get; set; }

        public string InsuranceProvider { get; set; }

        public Status Status { get; set; }
    }


}
